%load the test image
img=imread('cat.png');

%load GreyBall groundtruth
gb=load('gb.mat');
gb=gb.gb;

%calculate GreyBall groundtruth chromaticities
ch1=gb./repmat(sum(gb, 2), 1, 3);

%load the histograms for training
numberOfHistograms=8;
histograms=cell(numberOfHistograms, 1);
for i=2:numberOfHistograms+1
    histograms{i-1}=load(['gb_histograms_', num2str(i), '.txt']);
end

%learn Color Cat parameters
[bestIdx, line, x1, x2, pcaMatrix, r, reduction]=trainSmartColorCat(ch1, histograms);

n=bestIdx+1;
%perform illumination estimation
illuminationEstimation=smartColorCat(img, n, line, x1, x2, pcaMatrix, r, reduction);

%perform simple chromatic adaptation
img2=scaleChannels(img, [1, 1, 1]./illuminationEstimation);

figure;
imshow(img);
title('The original image');

figure;
imshow(img2);
title('Corrected image');
